<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Hash;
use Auth;

class AuthController extends Controller
{

    public function __construct()
    {
    $this->middleware('auth', ['except' => ['loginform', 'login']]);
    }
       
    public function loginform()
    {
        return view('auth.login');
    }

    // Proses login
    public function login(Request $request)
    {
        // Validasi kredensial
        $credentials = $request->only('email', 'password');

        // Coba untuk melakukan login
        if (Auth::attempt($credentials)) {
            // Jika berhasil, redirect ke home atau route yang diinginkan
            return redirect()->intended('/dashboard');
        }

        // Jika gagal, kembali ke halaman login dengan pesan error
        return back()->withErrors(['email' => 'Email atau password salah']);
    }

    // Proses logout
    public function logout(Request $request)
    {
        Auth::logout();
        return redirect('/');
    }
}
