<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\SensorLaravel;
use App\Http\Controllers\SensorController;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\LoginController;
use App\Http\Controllers\DashboardController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/dashboard', function () {
    // Halaman dashboard hanya dapat diakses jika pengguna sudah login
    return view('dashboard');
});

Route::get('/', [AuthController::class, 'loginform'])->name('login');
Route::post('/', [AuthController::class, 'login']);
Route::post('/logout', [AuthController::class, 'logout'])->name('logout');
// route untuk baca suhu kelembaban
Route::get('/bacasuhusatu', [SensorLaravel::class, 'bacasuhusatu'])->name('bacasuhusatu');
Route::get('/bacakelembabansatu', [SensorLaravel::class, 'bacakelembabansatu'])->name('bacakelembabansatu');
Route::get('/bacacahaya', [SensorLaravel::class, 'bacacahaya'])->name('bacacahaya');
Route::get('/bacasuhudua', [SensorLaravel::class, 'bacasuhudua'])->name('bacasuhudua');
Route::get('/bacakelembabandua', [SensorLaravel::class, 'bacakelembabandua'])->name('bacakelembabandua');
// Route::get('/bacasuhutiga', [SensorLaravel::class, 'bacasuhutiga'])->name('bacasuhutiga');
// Route::get('/bacakelembabantiga', [SensorLaravel::class, 'bacakelembabantiga'])->name('bacakelembabantiga');


// route untuk menyimpan nilai sensor ke tb
Route::get('/simpansatu/{nilaisuhu}/{nilaikelembaban}', [SensorLaravel::class, 'simpansensorsatu']);
Route::get('/simpandua/{nilaisuhu}/{nilaikelembaban}', [SensorLaravel::class, 'simpansensordua']);
Route::get('/simpantiga/{nilaisuhu}/{nilaikelembaban}', [SensorLaravel::class, 'simpansensortiga']);
Route::get('/cekdata', [SensorLaravel::class, 'cekdata'])->name('cekdata');
Route::get('/cekdatadua', [SensorLaravel::class, 'cekdatadua'])->name('cekdatadua');
Route::get('/cekdatatiga', [SensorLaravel::class, 'cekdatatiga'])->name('cekdatatiga');

// routes/web.php

//Route::get("/kirimNotifikasiWhatsApp", [SensorLaravel::class, 'kirimNotifikasiWhatsApp'])->name("kirimNotifikasiWhatsApp");


Route::get('/riwayat-data', [SensorLaravel::class, 'riwayatData'])->name('riwayat-data');
Route::get('/riwayat-datadua', [SensorLaravel::class, 'riwayatDataDua'])->name('riwayat-datadua');
Route::get('/filter', [SensorLaravel::class, 'filter'])->name('filter');

